

/*-------------------------------------------- Intro section --*/
#intro
{
	position: relative;
	display: block;
	
	min-height: 100%;
	width: 100%;
	color: var(--white);
	background: var(--black);
	
	display: flex; 
	flex-wrap: wrap;
	gap: 40px;
	padding: 40px;
	justify-content: center;
	align-items: center;
	align-content: center;
}
#introStatement
{
	width: 100%;
	max-width: 750px;
}
#introStatement h2
{
	display: block;
	font-family: boldFont;
	font-size: clamp(6rem, 12vw, 8rem);
	text-align: left;
}
#introStatement p
{
	max-width: 600px;
	font-size: 2.2rem;
	
	max-width: 600px;
	font-size: 2.2rem; 
	text-wrap: balance;
}
#cursor 
{
  display: inline-block;
  margin-left: 2px;
  animation: blink 1s step-start infinite;
  font-family: boldFont;
  color: #333;
  -webkit-text-stroke-width: 0;
  -webkit-text-fill-color: #f0f0f0;
}
#typedWord.outlineText
{
	font-family: courierBold;
}
@keyframes blink 
{
  50% 
  {
    opacity: 0;
  }
}
/*---------------------------------------------------- Rotating Cube */
#rotatingCube 
{
	position: relative;
	max-width: 700px;
	width: 100%;
	aspect-ratio: 1 / 1;
}

#intro a 
{
	display: block;
	z-index: 939;
}
#intro #downArrow 
{
	position: absolute;
	bottom: 65px;
	right: 40px;
	width: 120px;
	height: 120px;
	fill: none;
	padding: 20px;
}
#intro #downArrow path
{
	stroke: #f0f0f0;
	stroke-width: 1px;
}
@media (max-width: 1568px) 
{
	#intro
	{
		padding: 110px 0 0;
		width: 100%;
		margin: auto;
		gap: 10px;
	}
	#introStatement
	{
		order: 2;
		padding: 0 6px 100px;
	}
	#introStatement h2
	{
		font-size: clamp(5.2rem, 12vw, 8rem);
	}
	#rotatingCube
	{
		order: 1;
		width: 100%;
	}
	#rotatingCube canvas 
	{
		width: 100%;
		height: 100%;
		touch-action: pan-y;
	}
	#intro #downArrow 
	{
		position: absolute;
		bottom: 0px;
		right: 0px;
		width: 120px;
		height: 120px;
		fill: none;
		padding: 20px;
	}
}
@media (max-width: 768px) 
{
	#rotatingCube 
	{
		height: 400px;
		max-height: 400px;
	}	
}

/*------------------------------------------------------- Value --*/
#value 
{
	width: 100%;
	min-height: 600px;
	position: relative;
	
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: stretch;
	background-color: var(--black);
}
.valueSection:nth-child(1)
{
	flex: 2;
	background-color: var(--black);
	background-color: #1d1d1e;
	color: var(--white);
	justify-content: flex-end;
}
.valueSection:nth-child(1) h2
{
	font-size: 5rem;
	line-height: 1.2;
	text-wrap: balance;
}
.valueSection
{
	flex: 1;
	background-color: var(--white);
	color: var(--black);
	font-size: 2rem;
	border-right: 8px solid var(--black);
	
	padding: 100px 60px 20px;
	display: flex; 
	flex-direction: column;
	align-items: stretch;
	justify-content: space-around;
} 
.valueSection ul
{
	list-style-type: square;
}
.valueSection ul li
{
	font-size: 2rem;
	margin-top: 8px;
}
.valueSection h3
{
	font-family: boldFont;
	font-size: 4rem;
	text-wrap: balance;
}
@media (max-width: 1615px) 
{
	#value
	{
		
		min-height: auto;
		flex-wrap: wrap;
	}
	.valueSection:nth-child(1)
	{
		flex: 1 1 100%;
	}
	.valueSection
	{
		flex: 1 1 33%;
	}
}
@media (max-width: 1002px) 
{
	#value 
	{
		justify-content: center;
		gap: 20px;
	}	
	.valueSection:nth-child(1)
	{
		flex: 1 1 100%;
		max-width: 99%;
		padding: 100px 12px 60px;
	}
	.valueSection 
	{ 
		flex: 1 1 100%; 
		max-width: 90%;
		padding: 100px 20px 60px;
	}
	.valueSection ul li
	{
		margin-left: 12px;
	}
}

/*------------------------------------------------------- Benefits --*/
#benefits
{
	position: relative; 
	display: block;
	width: 100%;
	background-color: var(--white);
	padding: 60px 0;
	
}
.benefitsWrapper
{
	position: relative;
	display: block;
	width: 98%;
	max-width: 1350px;
	margin: auto;
}
.benefitsWrapper h2
{
	font-size: 6rem;
	text-wrap: balance;
	text-align: left;
	margin-bottom: 120px;
	letter-spacing: -1px;
}

.benefitsGrid
{
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	grid-template-rows: repeat(2, 1fr);
	grid-column-gap: 0px;
	grid-row-gap: 0px; 	
}
.gridBenefit
{
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	justify-content: space-around;
	min-height: 150px;
	aspect-ratio: 1 / 1;
	padding: 60px;
	background-color: #f1f1f1;
	background-color: #545454;
	color: var(--white);
	box-shadow: 0 4px 6px rgba(0,0,0,0.12);
}
.gridBenefit h3
{
	font-family: boldFont;
	font-size: 3rem;
	text-wrap: balance;
}
.gridBenefit ul
{
	list-style-type: square;
}
.gridBenefit ul li
{
	font-size: 2rem;
	margin-top: 8px;
}
.benefitOne { grid-area: 1 / 1 / 2 / 2; }
.benefitTwo { grid-area: 2 / 2 / 3 / 3; }
.benefitThree { grid-area: 1 / 3 / 2 / 4; }
#benefits strong { font-family: boldFont;}
@media (max-width: 1320px) 
{
	.benefitsGrid
	{
		display: grid;
		grid-template-columns: repeat(2, minmax(auto, max-content));
		justify-content: center;
		grid-row-gap: 0px;
		height: auto;
	}
	.gridBenefit
	{
		max-width: 460px;
		margin: auto;
	}
	.benefitOne { grid-area: 1 / 1 / 2 / 2; }
	.benefitTwo { grid-area: 2 / 2 / 3 / 3; }
	.benefitThree { grid-area: 3 / 1 / 4 / 2; }
}
@media (max-width: 888px) 
{
	.benefitsWrapper h2
	{
		font-size: 3rem;
	}
	.benefitsGrid
	{
		display: grid;
		grid-template-columns: repeat(1, 1fr);
		grid-template-rows: repeat(3, 1fr);
		grid-row-gap: 30px; 	
	}
	.benefitOne { grid-area: 1 / 1 / 2 / 2; }
	.benefitTwo { grid-area: 2 / 1 / 3 / 2; }
	.benefitThree { grid-area: 3 / 1 / 4 / 2; }
	.gridBenefit
	{
		max-width: 400px;
		min-height: 200px;
		padding: 30px;
		margin: auto;
	}
	.gridBenefit ul li
	{
		font-size: 2rem;
		margin-top: 4px;
	}
}


/*-------------------------------------------------- Our Approach --*/
#approach 
{
	position: relative; 
	display: block;
	background-color: var(--white);
	width: 100%;
	height: auto;
	padding: 180px 0 80px;
}
#approach .approachWrapper
{
	display: flex;
	position: relative; 
	max-width: 70%;
	margin: auto;
	flex-direction: row;
	justify-content: space-between;
	align-items: stretch;
}
.approachIntro
{
	display: flex;
	position: relative;
	flex: 1;
	text-align: right;
	text-wrap: balance;
	
}
.approachIntro .intro
{
	align-self: flex-start;
}

.approachIntro h2
{
	font-size: 6rem;
	align-items: flex-start;
	justify-content: flex-start;
	text-wrap: balance;
	max-width: 100%;
}
.approachSquare
{
	position: absolute; 
	bottom: 40px;
	right: -10px;
	width: 8px;
	height: 8px;
	color: var(--black);
}
.squareStack
{
	display: inline-flex; 
	align-items: center;
	flex-direction: column; 
	gap: 6px; 
	margin: 0 8px;
}
.squareStack span
{
	width: 6px;
	height: 6px;
	background-color: var(--black);
	background-color: var(--gray);
	display: block;
}

.approachSteps
{
	position: relative;
	display: flex;
	flex-direction: row;
	align-items: flex-start;
	justify-content: space-around;
	line-height: 30px;
	text-align: left;
	max-width: 660px;
	gap: 50px;
	margin-bottom: 80px;
	padding: 30px;
}
.approachSteps h3
{
	font-size: 4.0rem;
	font-weight: bolder;
	color: var(--black);
}
.approachSteps::after
{
	position: absolute; 
	left: 0;
	bottom: -10px;
	width: 100%;
	content: '';
	background-color: var(--black);
	height: 1px;
}
.stepNumbers
{
	
}
.stepNumbersSquare
{
	
	width: 6px;
	height: 6px;
	background-color: var(--black);
}
.stepWords h4
{
	font-size: 3rem;
	font-weight: bolder;
	margin-bottom: 20px;
}
.stepWords p
{
	max-width: 400px;
	text-wrap: balance;
}
@media (max-width: 1500px) 
{
	#approach .approachWrapper 
	{
		max-width: 90%;
	}
	.approachIntro h2
	{
		display: inline;
		font-size: 6rem;
	}
	.approachSquare
	{
		
	}
}
@media (max-width: 1100px) 
{
	#approach .approachWrapper 
	{
		flex-direction: column;
		max-width: 90%;
		margin: auto;
		align-items: center;
	}
	.approachIntro h2
	{
		width: 98%;
		margin: auto;
		font-size: 5rem;
	}
}

/*------------------------------------------------------- Services --*/
#services 
{
	position: relative; 
	display: block;
	background-color: #1d1d1e;
	width: 100%;
	height: auto;
	padding: 80px 0;
}
.checkerBoard 
{
	display: grid;
	grid-template-columns: repeat(5, 1fr);
	grid-template-rows: repeat(5, 1fr);
	grid-column-gap: 0px;
	grid-row-gap: 0px;
	width: 80%;
	margin: auto;
}
.tile 
{
	position: relative;
	background: var(--black);
	min-height: 150px;
	color: var(--white);
	padding: 12px;
	aspect-ratio: 1/1;
	
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: flex-end;
	transition: transform .6s var(--easeTiming);
}
.tile .icon 
{
	width: 60px;
	height: 60px;
}
.tile .labelBox h4
{
	font-size: 1.2vw;
	width: 70%;
	text-wrap: balance;
	font-family: boldFont;
}
.tile .labelBox p
{
	font-family: thinFont;
	font-size: 0.9vw;
	font-size: clamp( 1.9rem, 1vw, 2.0rem);
	font-weight: 600;
}
.tile.intro { grid-area: 1 / 1 / 3 / 3; }
.tile.serviceOne { grid-area: 2 / 4 / 3 / 5; animation-delay: 0.1s;}
.tile.serviceTwo { grid-area: 3 / 3 / 4 / 4; animation-delay: 0.25s;}
.tile.serviceThree { grid-area: 3 / 5 / 4 / 6; animation-delay: 0.15s;}
.tile.serviceFour { grid-area: 4 / 2 / 5 / 3; animation-delay: 0.0s;}
.tile.serviceFive { grid-area: 4 / 4 / 5 / 5; animation-delay: 0.35s;}
.tile.serviceSix { grid-area: 5 / 3 / 6 / 4; animation-delay: 0.25s;}

.tile.intro 
{
	grid-column: span 2;
	grid-row: span 2;
	padding: 20px;
	background-color: var(--white);
	color: var(--black);
	display: flex; 
	flex-direction: column;
	justify-content: space-around;
	text-wrap: balance;
}
.tile.intro h4
{
	font-size: 3.0rem;
}
.tile.intro h3
{
	font-size: 2.6vw;
	align-self: flex-start;
	font-family: boldFont;
}

.upRightArrow
{
	position: absolute; 
	top: 0;
	left: 0;
	width: 44px;
	height: 44px;
}
.upRightArrow polyline
{	
	fill: none;
	stroke-width: 2px;
	stroke: var(--black);
}
.upRightArrow line
{	
	fill: none;
	stroke-width: 2px;
	stroke: var(--black);
}
.upRightArrow.away
{
	transform: translate(0);
}
.upRightArrow.toward
{
  transform: translate(-150%, 150%);
}
.tile.serviceSix
{
	color: var(--black);
	cursor: pointer;
	background-color: var(--white);
	justify-content: space-between;
	align-items: flex-start;
	line-height: 1;
}
.tile.serviceSix a
{
	color: var(--black);
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	height: 100%;
	width: 100%;
	transition: all .6s ease;
}
.tile.serviceSix h4
{
	font-size: 2.6vw;
}
.tile.serviceSix:hover .upRightArrow.away 
{
	animation: flyOut .6s var(--easeTiming) forwards;
}
	@keyframes flyOut 
	{ 
		to 
		{
			transform: translate(150%, -150%); 
		}
	}
.tile.serviceSix:hover .upRightArrow.toward 
{
	animation: flyIn .6s var(--easeTiming) forwards;
}
	@keyframes flyIn 
	{ 
		to 
		{
			transform: translate(0, 0); 
		}
	}
.hideArrows
{
	position: relative;
	display: block;
	width: 44px;
	height: 44px;
	overflow: hidden;
}
@media (max-width: 1600px) 
{
	.checkerBoard 
	{ 
		grid-template-columns: repeat(4, 1fr); 
		grid-template-rows: repeat(6, 1fr);
		width: 100%;
	}
	.tile.intro { grid-area: 1 / 2 / 3 / 4; }
	.tile.serviceOne { grid-area: 3 / 3 / 4 / 4;}
	.tile.serviceTwo { grid-area: 4 / 2 / 5 / 3;}
	.tile.serviceThree { grid-area: 5 / 1 / 6 / 2;}
	.tile.serviceFour { grid-area: 4 / 4 / 5 / 5;}
	.tile.serviceFive { grid-area: 5 / 3 / 6 / 4;}
	.tile.serviceSix { grid-area:  6 / 2 / 7 / 3;}	
	.tile.intro h3	
	{
		font-size: 4vw;
	}
	.tile .labelBox h4
	{
		font-size: clamp(2rem, 3vw, 4rem);
		text-wrap: balance;
	}
	.tile .labelBox p
	{
		font-size: clamp(1.8rem, 3vw, 2rem);
	}
	.tile.serviceSix h4
	{
		font-size: 5vw;
	}
}
@media (max-width: 1200px) 
{
	.checkerBoard 
	{ 
		grid-template-columns: repeat(3, 1fr); 
		grid-template-rows: repeat(7, 1fr);
		width: 100%;
	}
	.tile.intro { grid-area: 1 / 1 / 3 / 3; }
	.tile.serviceOne { grid-area: 3 / 3 / 4 / 4;}
	.tile.serviceTwo { grid-area: 4 / 2 / 5 / 3;}
	.tile.serviceThree { grid-area: 5 / 1 / 6 / 2;}
	.tile.serviceFour { grid-area: 5 / 3 / 6 / 4;}
	.tile.serviceFive { grid-area: 6 / 2 / 7 / 3;}
	.tile.serviceSix { grid-area:  7 / 1 / 8 / 2;}	
	.tile.intro h3	
	{
		font-size: 4vw;
	}
	.tile .labelBox h4
	{
		font-size: clamp(2rem, 3vw, 4rem);
		text-wrap: balance;
	}
	.tile .labelBox p
	{
		font-size: clamp(1.8rem, 3vw, 2rem);
	}
	.tile.serviceSix h4
	{
		font-size: 5vw;
	}
}
@media (max-width: 1000px) 
{
	.checkerBoard 
	{ 
		grid-template-columns: repeat(2, 1fr); 
		grid-template-rows: repeat(8, 1fr);
		width: 100%; 
	}
	.tile.intro { grid-area: 1 / 1 / 3 / 3; }
	.tile.serviceOne { grid-area: 3 / 2 / 4 / 3; animation-delay: 0.1s;}
	.tile.serviceTwo { grid-area: 4 / 1 / 5 / 2; animation-delay: 0.25s;}
	.tile.serviceThree { grid-area: 5 / 2 / 6 / 3; animation-delay: 0.15s;}
	.tile.serviceFour { grid-area: 6 / 1 / 7 / 2; animation-delay: 0.0s;}
	.tile.serviceFive { grid-area: 7 / 2 / 8 / 3; animation-delay: 0.35s;}
	.tile.serviceSix { grid-area:  8 / 1 / 9 / 2; animation-delay: 0.25s;}	

	.tile
	{
		overflow: visible;
	}	
	.tile.intro h3	
	{
		font-size: 7vw;
	}
	.tile .icon 
	{
		width: clamp(40px, 10vw, 80px);
		height: auto;
	}
	.tile .labelBox h4
	{
		width: 98%;
		font-size: 2.9rem;
		font-size: clamp(2.0rem, 4vw, 3rem);
	}
	.tile .labelBox p
	{
		position: absolute; 
		top: 50%;
		transform: translateY(-50%);
		width: 84%;
		font-size: clamp(1.8rem, 3vw, 2rem);
	}
	.tile.serviceOne p,
	.tile.serviceThree p,
	.tile.serviceFive p
	{
		left: -90%;
	}
	.tile.serviceTwo p,
	.tile.serviceFour p,
	.tile.serviceSix p
	{
		left: 110%;
	}	
	.tile.serviceSix h4
	{
		font-size: 7vw;
	}
}

/*------------------------------------------------------- Solutions --*/
#solutions
{
	width: 100%;
	position: relative; 
	display: block;
	background-color: var(--white);
	padding: 80px 0;
}
.solutionsWrapper
{
	max-width: 90%;
	display: flex; 
	flex-direction: row;
	align-content: stretch;
	justify-content: space-around;
	margin: auto;
}
.solutionsHeadline
{
	flex: 1;
	display: flex; 
	align-items: flex-start;
	justify-content: flex-start;
}
.solutionsHeadline h2
{
	font-family: boldFont;
	font-size: 6rem;
	text-align: right;
	padding-right: 90px;
}
.solutionsBullets
{
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	grid-template-rows: repeat(3, 1fr);
	grid-column-gap: 0px;
	grid-row-gap: 0px; 
}
.solution1  { grid-area: 1 / 1 / 2 / 2; }
.solution2  { grid-area: 2 / 2 / 3 / 3; }
.solution3  { grid-area: 3 / 1 / 4 / 2; } 
.solutionsTile
{
	width: 400px;
	aspect-ratio: 1 / 1;
	background-color: var(--black);
	color: var(--white);
	text-align: center;
	display: flex; 
	flex-direction: column;
	align-items: center;
	justify-content: space-around;
	box-shadow: 0 4px 6px rgba(0,0,0,0.12);
}
.solutionsTile img
{
	filter: brightness(111);
	max-width: 40%;
}
.solutionsTile h2
{
	font-family: boldFont;
	text-align: Center;
	font-size: 4rem;
}
.solutionsTile p
{
	font-size: 2.2rem;
	text-wrap: balance;
}
.solutionsTile .solutionsTileInner
{
	width: 100%;
	height: 100%;
	background-color: var(--black);
	display: flex;
	flex-direction: column;
	align-items: space-between;
	justify-content: space-around;
	position: relative;
	transition: transform 0.35s var(--easeTiming);
}
.solutionsTile .solutionsTileInner:hover 
{
  transform: scale(1.13);
}
@media (max-width: 1420px) 
{
	.solutionsWrapper
	{
		max-width: 90%;
		display: flex; 
		flex-direction: column;
		align-content: stretch;
		justify-content: space-around;
		margin: auto;
	}
	.solutionsBullets
	{
		max-width: 100%;
		margin: 30px auto 0;
	}
	.solutionsTile
	{
		width: 300px;
		width: 100%;
		aspect-ratio: 1 / 1;
	}	
	.solutionsTile img
	{
		object-fit: contain;
	}
}
@media (max-width: 670px) 
{
	.solutionsWrapper
	{
		max-width: 100%;
		display: flex; 
		flex-direction: column;
		align-content: stretch;
		justify-content: space-around;
		margin: auto;
	}
	.solutionsBullets
	{
		max-width: 100%;
		margin: 30px auto 0;
	}	
	.solutionsHeadline
	{
		width: 90%;
		margin: auto;
		text-align: center;
	}	
	.solutionsHeadline h2
	{
		padding-right: 0;
		font-size: 5rem;
	}
	.solutionsTile
	{
		width: 200px;
		aspect-ratio: 1 / 1;
		padding: 6px;
	}	
	.solutionsTile img
	{
		position: absolute; 
		top: 2px;
		right: 2px;
		max-width: 20%;
	}
	.solutionsTile h2
	{
		text-align: left;
		font-size: 2.2rem;
		max-width: 60%;
		text-wrap: balance;
	}
	.solutionsTile p
	{
		font-size: 1.8rem;
		line-height: 1.2;
	}
}
/*------------------------------------------------------- Logos --*/
#logoBanner 
{
	position: relative;
	display: block;
	background-color: var(--white);
	width: 100%;
	height: 120px;
	overflow: hidden;
}
.logoTrack 
{
	display: flex;
	width: max-content;
	height: 100%;
	padding: 0;
	margin: 0;
	list-style: none;
	align-items: center;
	justify-content: center;
	user-select: none;
	touch-action: none;
}
.logoTrack li 
{
	width: 375px;
	text-align: center;
}
.logoTrack img 
{
	height: 92px;
	width: auto;
	pointer-events: none;
}
.logoBlur
{
	position: absolute;
	top: 0;
	width: 20%;
	height: 100%;
	backdrop-filter: blur(4px);
	z-index: 66;
}
.left
{
	left: 0;
	-webkit-mask-image: linear-gradient(to right, black 70%, transparent 100%); mask-image: linear-gradient(to right, black 70%, transparent 100%);
}
.right 
{
	right: 0;
	-webkit-mask-image: linear-gradient(to left, black 70%, transparent 100%);
	mask-image: linear-gradient(to left, black 70%, transparent 100%);
	
}


/*---------------------------------------------------- Projects --*/
#ourProjects
{
	display: block;
	position: relative;
	background-color: var(--black);
	background-color: var(--white);
	color: var(--black);
	width: 100%;
	height: auto;
	padding-top: 80px;
}
.projectHolder
{
	position: relative;
	width: 80%;
	margin: 0 auto;
	height: auto;
	display: flex;
	flex-direction: row;
	justify-content: space-around;
	gap: 20px;
}
.projectColumn
{
	position: relative;
	display: flex;
	flex: 1;
	flex-direction: column;
	align-items: flex-start;
	justify-content: center;
	align-items: stretch;
	justify-content: flex-start;
	gap: 0px;
	
	max-width: 45%;
}
.projectsHeadline
{
	text-wrap: balance;
	color: var(--black);
	background-color: var(--white);
	width: 100%;
	
}
.projectsHeadline h2
{
	font-size: 6rem;
	font-family: boldFont;
	width: 100%;

	border-bottom: 1px solid var(--black);
}

.project
{
	position: relative;
	margin: 40px 0;
	box-shadow: 0 4px 6px rgba(0,0,0,0.12);
}
.projectHeadline
{
	font-size: 2rem;
	text-wrap: balance;
	color: var(--black);
	background-color: var(--white);
	
	position: absolute; 
	top: 0;
	right: 0;
	height: 0;
	line-height: 44px;
	overflow: hidden;
	transition: all .6s var(--easeTiming);
	padding: 0 12px;
}
.project:hover .projectHeadline
{
	height: 45px;
}
.porfolioHero
{
	position: relative;
	display: block;
	overflow: hidden;
	transition: all .6s var(--easeTiming);
}
.porfolioHero img
{
	max-width: 100%;
	transition: .8s var(--easeTiming);
	transform-origin: top left;
	transform: scale(1.15);
}
.porfolioHero img:hover
{
	transform: scale(1);
}
.projectBlurb
{
	position: relative;
	background-color: var(--black);
	color: var(--white);
	padding-left: 30px;
	padding-top: 30px;
	text-wrap: balance;
}
.projectBlurb .yearName
{
	font-family: thinFont;
	font-size: 1.6rem;
}
.projectBlurb .blurb
{
	letter-spacing: 1px;
}
.projectBlurb h3
{
	font-size: 3.6rem;
}
.projectBlurb .blurbLink
{
	position: absolute; 
	bottom: 0;
	right: 0;
	display: flex;
	background-color: var(--white);
	height: 50px;
	width: 50px;
	border-bottom: 4px solid var(--orange);
	justify-content: center;
	align-items: center;
}
.projectBlurb .blurbLink .hideArrows
{
	height: 30px;
	width: 30px;
}
.projectBlurb .blurbLink svg
{
	height: 100%;
	width: 100%;
}
.projectBlurb .blurbLink:hover .upRightArrow.away
{
	animation: flyOut .6s var(--easeTiming) forwards;
}
.projectBlurb .blurbLink:hover .upRightArrow.toward
{
	animation: flyIn .6s var(--easeTiming) forwards;
}
@media (max-width: 1154px) 
{
	.projectHolder
	{
		width: 98%;
		flex-direction: column;
	}
	.projectColumn
	{
		max-width: 98%;
		align-items: center;
	}
	.projectColumn:nth-child(1)
	{
		order: 2;
	}
	.projectColumn:nth-child(2)
	{
		order: 1;
	}
	.project 
	{
		max-width: 650px;
	}
	.projectBlurb h3
	{
		max-width: 70%;
	}
}

/*---------------------------------------------------- Pricing Section --*/
#pricing 
{
	padding: 120px 0;
	background-color: var(--black);
	color: var(--white);
}
.pricingWrapper 
{
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 60px;
	width: 90%;
	max-width: 1400px;
	margin: auto;
}
#pricingHeader
{
	text-align: right;
	font-size: 2.2rem;
}
#pricingHeader p
{
	margin-left: auto;
	max-width: 80%;
	text-wrap: balance;
}
#pricingHeader h2 
{
	font-size: 6rem;
	margin-bottom: 20px;
}

#pricingPlans 
{
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));
	gap: 30px;
	max-width: 700px;
	margin-left: auto;
}
.pricingCard 
{
	padding: 30px;
	background: var(--white);
	color: var(--black);
	transition: transform .3s ease;
}
.pricingCard:hover 
{
	transform: translateY(-6px);
}
.price 
{
	font-size: 2rem;
	margin: 10px 0 5px;
}

.price span 
{
	font-size: 1rem;
	color: #545454;
}

.tagline 
{
	margin-bottom: 20px;
	color: #545454;
}
.pricingCard ul 
{
	list-style: square;
	padding: 0;
	margin: 0;
}
.pricingCard li 
{
	margin-bottom: 10px;
}

/*---------------------------------------------------- Our Pricing Section --*/
#ourPricing 
{
	padding: 120px 0;
	background-color: var(--black);
	color: var(--white);
}
.ourPricingWrapper 
{
	width: 90%;
	max-width: 1400px;
	margin: auto;
	display: flex;
	align-items: stretch;
	gap: 60px;
}
.ourPricingLeft
{
	flex: 1;
	text-align: right;
}
.ourPricingLeft h2 
{
	font-size: 6rem;
	margin-bottom: 20px;
}
.ourPricingLeft p 
{
	max-width: 80%;
	font-size: 2rem;
	margin-left: auto;
	text-wrap: balance;
}
.ourPricingRight 
{
	flex: 1;
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 30px;
}
.ourPricingCardsTop 
{
	display: flex;
	gap: 30px;
}
.ourPricingCard 
{
	padding: 30px;
	background: var(--white);
	color: var(--black);
	max-width: 320px;
	width: 320px;
	height: 420px;
	transition: transform .3s ease;
}
.cardInner
{
	transform: scale(1);
	transition: all .3s ease;
}
.cardInner:hover
{
	transform: scale(1.04);
}
.price 
{
	font-size: 2rem;
	margin: 10px 0 5px;
}
.price span 
{
	font-size: 1rem;
	color: #545454;
}
.tagline 
{
	margin-bottom: 20px;
	color: #545454;
}
.ourPricingCard  ul 
{
	list-style: square;
	padding: 0;
	margin: 0;
}
.ourPricingCard  li 
{
	margin-bottom: 10px;
}
@media (max-width: 1420px) 
{
	.ourPricingWrapper 
	{
		width: 98%;
		margin: auto;
		flex-direction: column;
		gap: 60px;
	}	
	.ourPricingCardsTop 
	{
		flex-direction: column;
		gap: 30px;
	}
}
/*---------------------------------------------------- Contact Form --*/
#contact 
{
	position: relative;
	width: 100%;
	height: auto;
	margin:0 auto;
	padding: 60px 0;
	background-color: var(--black);
	color: var(--white);
}
.contactWrapper
{	
	position: relative;
	max-width: 80%;
	margin: auto;
	display: flex;
	flex-direction: row;
	justify-content: center;
	gap: 60px;
}
#contactCallout 
{
	max-width: 400px;
}
#contactCallout h2
{
	color: var(--white);
	font-size: 7.0rem;
	font-family: boldFont;
	margin-bottom: 20px;
}
#contactCallout p
{
	color: var(--white);
	font-size: 2.0rem;
}
.detailFormButton 
{
	display: flex; 
	flex-direction: row;
	align-items: center;
	justify-content: flex-start;
	margin-top: 60px;
}
#contactCallout .detailFormButton
{
	position: relative;
}
#contactCallout .detailFormButton  p
{
	position: relative;
	display: block;
	color: var(--black);
	background-color: var(--white);
	height: 44px;
	line-height: 46px;
	width: 200px;
	transition: all .6s var(--easeTiming);
	text-align: center;
}
#contactCallout .detailFormButton p::before 
{
	content: "";
	position: absolute;
	width: 100%;
	transform: scaleX(0);
	height: 4px;
	bottom: 0;
	left: 0;
	background-color: var(--orange);
	transform-origin: bottom right;
	transition: transform 0.25s ease-out;
}
#contactCallout .detailFormButton:hover p::before
{
	transform: scaleX(1);
	transform-origin: bottom left;
}
#contactCallout .detailFormButton .linkArrow
{
	height: 44px;
	width: 44px;
}
#contactCallout .detailFormButton:hover .linkArrow
{
	background-color: var(--orange);
}
#contactCallout .detailFormButton:hover .linkArrowLines polyline
{
	stroke: var(--white);
}
#contactCallout .detailFormButton:hover .linkArrowLines.away
{
	animation: flyOutHorizontal .6s var(--easeTiming) forwards;
}
@keyframes flyOutHorizontal 
{ 
	to 
	{
		transform: translate(250%, -50%); 
	}
}
#contactCallout .detailFormButton:hover .linkArrowLines.into
{
	animation: flyInHorizontal .6s var(--easeTiming) forwards;
}
/*---------------------------------- Actual Contact Form --*/
#contactForm
{
	max-width: 680px;
	padding: 1.5rem;
	background: #f9f9f9;
}
label 
{
	display: block;
	margin-top: 1rem;
	color: var(--black);
}
input, select, textarea 
{
	width: 100%;
	padding: 0.75rem;
	margin-top: 0.5rem;
	background-color: var(--white);
	border: 1px solid var(--black);
	font-size: 1.8rem;
	font-family: regularFont;
}
#service option
{
	font-family: boldFont;
}
#service.optional
{
	font-family: boldFont;
}
option 
{
	background-color: #fff;
	color: var(--black);
	font-size: 1.6rem;
	font-family: regularFont;
}
textarea
{
	resize: none;
}
textarea:focus
{
	outline: none;
}
#contactForm button 
{
	width: 200px;
	margin-top: 1.5rem;
	background-color: var(--white);
	color: var(--black);
	border: 3px solid var(--black);
	font-size: 1.8rem;
	cursor: pointer;
	transition: all .6s ease;
	text-align: center;
	padding: 12px 0 11px 0;
	font-family: regularFont;
}
#contactForm button:hover 
{
	background-color: var(--black);
	color: var(--white);
	letter-spacing: 1px;
}
#contactForm button svg
{
	fill: none;
	stroke-width: 3px;
	stroke: var(--black);
	stroke: var(--black);
	width: 20px;
	height: 20px;
	transition: all .6s ease;
	transform: rotate(-135deg);
	transform: rotate(-45deg);
	margin-left: 12px;
	transform-origin: center;
}

#contactForm button:hover svg
{
	stroke: var(--orange);
	transform: rotate(0deg);
	transform: rotate(180deg);
}

#loadingAnimation
{
	width: 100%;
	text-align: Center;
	display: none;
}
#loading 
{
	width: 48px;
	height: 48px;
	display: inline-block;
	position: relative;
	margin: auto;
}
#loading::after,
#loading::before 
{
	content: '';
	width: 48px;
	height: 48px;
	border: 4px solid var(--white);
	position: absolute;
	left: 0;
	top: 0;
	box-sizing: border-box;
	animation: rotation 2s ease-in-out infinite;
}
#loading::after 
{
	border-color: var(--orange);
	animation-delay: 1s;
}
@keyframes rotation 
{
	0% 
	{
		transform: rotate(0deg);
	}
	100% 
	{
		transform: rotate(360deg);
	}
} 
#successMessage 
{
	width: 100%;
	max-width: 600px; 
	background-color: var(--white);
	padding: 1.5rem;
	margin: 2rem auto;
	display: none;
}
#successMessage h2
{
	color: var(--black);
	margin-bottom: 40px;
}
#successMessage p
{
	color: var(--black);
	width: 80%;
}
.optionGroup
{
	display: flex; 
	flex-wrap: wrap;
	gap: 20px; 
	margin-top: 30px;
	margin-bottom: 12px;
	align-items: center;
	justify-content: center;
}
.optionGroup p
{
	color: var(--black);
	flex: 0 0 100%;
	margin: 0 0 .5rem 0;
}

.option 
{
	display: inline-flex;
	align-items: center;
	cursor: pointer;
}
.option input 
{
	display: none;
}

.option span 
{
	width: 130px;
	height: 40px;
	line-height: 42px;
	text-align: center;
	border: 2px solid var(--black);
	transition: 0.6s;
}
.option span:hover 
{
	background: var(--black);
	color: var(--white);
	border-color: var(--black);	
}

.option input:checked + span 
{
	background: var(--black);
	color: var(--white);
	border-color: var(--black);
}
@media (max-width: 1950px) 
{
	.contactWrapper 
	{
		max-width: 98%;
		margin: auto;
	}

	#contactForm 
	{
		max-width: 94%;
		margin: auto;
	}
}
@media (max-width: 732px) 
{
	.contactWrapper 
	{
		flex-direction: column;
		max-width: 100%;
		margin: auto;
		align-items: center;
		gap: 40px;
	}
	.optionGroup
	{
		display: flex; 
		flex-direction: column;
		gap: 0px; 
		margin-top: 10px;
		margin-bottom: 12px;
		align-items: center;
		justify-content: center;
	}
}

/*---------------------------------------- Frequently Asked Questions --*/
#frequentlyAsked 
{
	width: 100%;
	position: relative;
	background-color: var(--white);
	color: var(--black);
	padding-top: 60px;
	padding-bottom: 60px;
}
.faqWrapper
{	
	position: relative;
	max-width: 60%;
	margin: auto;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
}
#contactCallout 
{
	max-width: 400px;
}
#questionsHeader h2
{
	color: var(--black);
	font-size: 7.0rem;
	font-family: boldFont;
	margin-bottom: 20px;
}
#questionsHeader p
{
	max-width: 326px;
	font-size: 2rem;
}

.letsTalkButton
{
	background-color: var(--white);
	border: 2px solid var(--black);
	color: var(--black);
	position: relative;
	display: block;
	background-color: var(--white);
	color: var(--black);
	margin-top: 20px;
	padding: 10px 16px 7px;
	max-width: 168px;
	text-align: center;
	transition: all .6s var(--easeTiming);
}
.letsTalkButton::after 
{
	content: "";
	position: absolute;
	width: 100%;
	transform: scaleX(0);
	height: 4px;
	bottom: 0;
	left: 0;
	background-color: var(--orange);
	transform-origin: bottom right;
	transition: transform 0.25s ease-out;
}
.letsTalkButton .downArrow
{
	stroke-width: 3px;
	stroke: var(--black);
	fill: none;
	width: 20px;
	height: 20px;
	transition: all .4s var(--easeTiming);
	transform: rotate(-135deg);
	margin-left: 10px;
}
.letsTalkButton:hover
{
	letter-spacing: 0.6px;
}
.letsTalkButton:hover::after 
{
	transform: scaleX(1);
	transform-origin: bottom left;
}
.letsTalkButton:hover .downArrow
{
	/* transform: translateX(10px) rotate(-90deg); */
	transform: translateX(6px) rotate(-135deg);
}
#frequentQuestions
{
	max-width: 680px;
}
#frequentQuestions button
{
	background: none;
	border: none; 
	padding: 0;
	margin: 0;
	font: inherit;
	color: inherit;
	cursor: pointer; 
	-webkit-appearance: none; 
	-moz-appearance: none;
	appearance: none; 
}
#frequentQuestions .questionAnswer
{
	width: 100%;
	border-bottom: 1px solid var(--black);
	padding: 20px 0;
}
#frequentQuestions .questionAnswer::after 
{
	content: "";
	position: absolute;
	left: 0;
	bottom: 0;
	height: 2px;
	width: 0%;
	background: var(--orange);
	transition: width .3s ease;
}

#frequentQuestions .questionAnswer:hover::after 
{
	width: 100%;
}

#frequentQuestions .question
{
	position: relative;
	font-size: 3.0rem;
	font-family: boldFont;
	display: flex;
	justify-content: space-between;
	align-items: center;
	cursor: pointer;
	text-align: left;
	padding-bottom: 12px;
}
.questionText
{
	flex: 1;
	text-wrap: balance;
}
.openClose
{
	position: relative;
	display: block;
	width: 20px;
	height: 20px;
}
.openClose::before, 
.openClose::after
{
	content: '';
	position: absolute;
	background-color: var(--black);
	transition: all .6s var(--easeTiming);
}
.openClose::before
{
	top: 0;
	left: 50%;
	transform: translateX(-50%);
	width: 1px;
	background-color: var(--black);
	height: 20px;
}
.openClose::after
{
	top: 50%;
	left: 0;
	transform: translateY(-50%);
	height: 1px;
	width: 20px;
}

/* When open — rotate to form an X */
.openClose.open::before 
{
  transform: translateX(-50%) rotate(45deg);
}
.openClose.open::after 
{
  transform: translateY(-50%) rotate(405deg);
}
.answer 
{
	height: 0;
	overflow: hidden;
	transition: height 0.6s var(--easeTiming);
}
.answer.open
{
	
}
.answer p
{
	font-size: 1.8rem;
	text-align: left;
}
@media (max-width: 1730px) 
{
	.faqWrapper 
	{
		flex-direction: column;
		max-width: 90%;
		margin: auto;
		align-items: center;
		gap: 40px;
	}
}
@media (max-width: 732px) 
{
	.faqWrapper
	{
		flex-direction: column;
		max-width: 100%;
		margin: auto;
		align-items: center;
		gap: 40px;
	}
	#frequentQuestions
	{
		width: 98%;
		margin: auto;
	}
}

/*-- Scroll Animations --*/
.reveal 
{
	opacity: 0;
	transform: translateY(20px);
	transition: opacity 0.9s ease, transform 0.9s ease;
}
.reveal.visible 
{
	opacity: 1;
	transform: translateY(0);
}
.slide-in-left 
{
	transform: translateX(-40px);
}
.slide-in-left.visible 
{
	transform: translateX(0);
}
.step-block .stepNumbers 
{
	transition: opacity 0.6s ease 0.05s;
}
.step-block.visible .stepNumbers 
{
	opacity: 1;
}
.parallax
{
	will-change: transform;
	transition: transform 0.3s ease-out;
}
.tile .innerTile
{
	background-color: inherit;
	width: 100%;
	height: 100%;
	padding: inherit;
	transition: transform 0.35s var(--easeTiming);
}

.tile .innerTile:hover 
{
  transform: scale(1.13);
}
.fade-left 
{
	opacity: 0;
	transform: translateX(-30px);
	transition: opacity .6s ease, transform .6s ease;
}

.fade-left.visible 
{
	opacity: 1;
	transform: translateX(0);
}

.fade-right 
{
	opacity: 0;
	transform: translateX(30px);
	transition: opacity .6s ease, transform .6s ease;
}

.fade-right.visible 
{
	opacity: 1;
	transform: translateX(0);
}


